#! /bin/bash

# remove the preference pane
sudo rm -rf "/Library/PreferencePanes/SIXTY-EIGHT Audio Control Panel.prefPane"

# this cleans the system preferences cache
rm "$HOME/Library/Caches/com.apple.preferencepanes.cache"
rm "$HOME/Library/Caches/com.apple.preferencepanes.searchindexcache"

# remove the kernel extension
sudo rm -rf "/System/Library/Extensions/SIXTY-EIGHT.kext"
sudo rm -rf "/System/Library/Extensions/SIXTY-EIGHT.10.6.kext"
sudo rm -rf "/Library/Extensions/SIXTY-EIGHT.10.9.kext"

# turn off the settings service
sudo launchctl unload /Library/LaunchDaemons/com.rane.sixtyeight.daemon.plist
sudo rm /Library/LaunchDaemons/com.rane.sixtyeight.daemon.plist
sudo rm /Library/PrivilegedHelperTools/SixtyEightSettingsService

# remove the api
sudo rm -rf /Library/Frameworks/SIXTY-EIGHTApi.framework

# remove the midi driver
sudo rm -rf "/Library/Audio/MIDI Drivers/SixtyEightMidiDriver.plugin"

# remove prefs file
sudo rm -f /var/root/Library/Preferences/SixtyEightSettingsService.plist

#sudo reboot


